Core Library 1.7.0.0 Library containing core utilities and tools for threading, networking, logging, INI and CSV file management etc.

Public Member Functions | Private Attributes | List of all members
core_lib::log::dl_private::LogQueueMessage Class Reference

Log Queue Message class. More...

`#include <DebugLog.h>`

## Public Member Functions
| LogQueueMessage ()=default
| Default constructor.
| LogQueueMessage (const std::string &message, time_t timeStamp, const std::string &file, const std::string &function, int lineNo, const std::thread::id &threadID, eLogMessageLevel errorLevel)
| Initialising constructor. More...
| LogQueueMessage (const LogQueueMessage &)=default
| Copy constructor.
| ~LogQueueMessage ()=default
| Destructor.
LogQueueMessage & | operator= (const LogQueueMessage &)=default
| Copy assignment operator.
| LogQueueMessage (LogQueueMessage &&)=default
| Move constructor.
LogQueueMessage & | operator= (LogQueueMessage &&)=default
| Move assignment operator.
const std::string & | Message () const
| Get message string. More...
time_t | TimeStamp () const
| Get time stamp. More...
const std::string & | File () const
| Get source file name string. More...
const std::string & | Function () const
| Get function name string. More...
int | LineNo () const
| Get source file line number. More...
const std::thread::id & | ThreadID () const
| Get thread ID where message originated. More...
eLogMessageLevel | ErrorLevel () const
| Get message error level. More...

## Private Attributes
std::string | m_message {}
| Message string.
time_t | m_timeStamp {0}
| Time stamp.
std::string | m_file {}
| Source file name.
std::string | m_function {}
| Function name.
int | m_lineNo {0}
| Line number in source file.
std::thread::id | m_threadID {}
| Thread ID where message originated.
eLogMessageLevel | m_errorLevel {eLogMessageLevel::not_defined}
| Message error level.

## Detailed Description

Log Queue Message class.

Message to be placed on message queue to process debug log entry to add to file. This is used internally by the DebugLog class and so is in its own private namespace and is not needed to be used externally to DebugLog.

## Constructor & Destructor Documentation

## ◆ LogQueueMessage()

core_lib::log::dl_private::LogQueueMessage::LogQueueMessage | ( | const std::string & | message,
|  | time_t | timeStamp,
|  | const std::string & | file,
|  | const std::string & | function,
|  | int | lineNo,
|  | const std::thread::id & | threadID,
|  | eLogMessageLevel | errorLevel
| ) |  |

Initialising constructor.

Parameters

  [in] | message | - Message to add to log.
  [in] | timeStamp | - Date/Time stamp for message.
  [in] | file | - Source file in which message AddLogMessage was called, e.g. std::string(FILE).
  [in] | function | - Function insource file in which message AddLogMessage was called, e.g. BOOST_CURRENT_FUNCTION.
  [in] | lineNo | - Line number in the source file where AddLogMessage was called, e.g. LINE.
  [in] | threadID | - Thread ID where message was added from.
  [in] | errorLevel | - Message level.

## Member Function Documentation

## ◆ ErrorLevel()

eLogMessageLevel core_lib::log::dl_private::LogQueueMessage::ErrorLevel | ( |  | ) | const

Get message error level.

Returns
  Error level.

## ◆ File()

const std::string & core_lib::log::dl_private::LogQueueMessage::File | ( |  | ) | const

Get source file name string.

Returns
  File name string.

## ◆ Function()

const std::string & core_lib::log::dl_private::LogQueueMessage::Function | ( |  | ) | const

Get function name string.

Returns
  File name string.

## ◆ LineNo()

int core_lib::log::dl_private::LogQueueMessage::LineNo | ( |  | ) | const

Get source file line number.

Returns
  Line number.

## ◆ Message()

const std::string & core_lib::log::dl_private::LogQueueMessage::Message | ( |  | ) | const

Get message string.

Returns
  Message string.

## ◆ ThreadID()

const std::thread::id & core_lib::log::dl_private::LogQueueMessage::ThreadID | ( |  | ) | const

Get thread ID where message originated.

Returns
  Thread ID.

## ◆ TimeStamp()

time_t core_lib::log::dl_private::LogQueueMessage::TimeStamp | ( |  | ) | const

Get time stamp.

Returns
  Time stamp.

The documentation for this class was generated from the following files:

- D:/Projects/CoreLibrary/Include/DebugLog/DebugLog.h
- D:/Projects/CoreLibrary/Source/DebugLog/DebugLog.cpp